var Status;

if (Status == null) {
	if (typeof Tip == 'undefined') {
		Taazza.Util.include('lib/tips.js');
	}

	Status = {};

// TODO: Better way to do cross-platform
if (Ti.Platform.osname == 'android') {
	Status.win = Ti.UI.createNotification({
		message: L('SM_LOAD'),
		duration: Ti.UI.NOTIFICATION_DURATION_LONG,
		offsetY: 30
	});

	Status.indicator = Ti.UI.createActivityIndicator({
		width: 100,
		height: 75
	});

	Status.show = function(text, error) {
//		Ti.API.debug("SHOW: " + text);
		Status.win.message = text;
		Status.win.show();
	};

	Status.showIndicator = function(text) {
		Status.indicator.message = "\n" + text + "\n\nTip: " + Tip.random();
		Status.indicator.show();
	};

	Status.hideIndicator = function() {
		Status.indicator.hide();
	};
} else {
	Status.show = function(text, error) {
	};

	Status.showIndicator = function(text) {
	};

	Status.hideIndicator = function() {
	};
}
}

