
var Tip;

if (Tip == null) {
	Tip = {};

	// NOTE: The first tip will be used as the default tip
	Tip.tips =
		[
		// Deal Tips
		"Did you know that you can purchase deals right from this app!",
		"Forgot directions to the dinner deal? Directions right in the app.",
		"Travelling & looking for dinner options? Look at deals around you!",
		"One click to get every info you need to get that hot deal!",
		"Need more info on the deal? Call the vendor right from the app.",
		"Over 1000 deals with over 700K savings!!",
		"Looking for the best deals in the city? Just sort by discount",
		"Remember to read the reviews before you buy the deals!",
		"Check the accuracy of the location before you get driving directions!",

		// Place Tips
		"Looking for coffee shops around you? Click on Places tab & voila!",
		"Forgot to get directions to the luncheon? Search & get directions",

		// News Tips
		"City news is available for over 40 cities in India",
		"Now get news snippets for every story, so you get an overview",
		"Get news from top publishers, citizen journals & locality papers.",
		"You can track news in over 100,000 localities on the go!",
		"News is updated in real-time.",
		"Get a snapshot of news around you & your city in the map view.",
		"Mobile friendly news articles that save you time & money!",
		"Get the context to every story with source, topic & the map!",
		"You can save an article for offline reading using Instapaper.",

		// Event Tips
		"Friday evening & wanna catch a movie in town? No problem",
		"1000 movie listings across the country! Find nearby movies",
		"In a rush and wanna know whats playing right now? Sort by Upcoming",
		"Rather not snore in the theater? Watch the trailer of the movie!",
		"Wanna catch a play or musical concert, look for it in the Stage tab",
		"Keep yourself upto date with the business world with Professional events.",

		// Citizen Tips
		"Now you have the power to impact your community, report issues as you see!",
		"You can report any issues such as potholes, garbage problems, water problems",
		"Find issues around you and vote them up if they impact you",
		"Share the issues with friends & neighbours on Facebook/Twitter",
		"We are working with NGOs to make sure what you report counts!",

		// Tool Tips
		"Want to read the news in the browser? Change the viewer!",
		"Don't want the content automatically refreshed? Change settings",

		// App Tips
		"Problems with app? Reset the app settings & start over again.",
		"Missing a feature? Send us your feedback through the Support screen.",
		"Bug in the app? Tell us through the Support screen & we'll get on it.",
		"Love the app & want to share it? Use the QRCode in the About screen.",
		"Love sharing? Share using Facebook, Twitter, Email & SMS! Enjoy",
		"Use the Menu button on the phone for more options",

		// Weather Tips
		"Looking for your Weather forecast? Just click on the weather icon!",
		"Weather is updated every hour around where you are.",

		// Help Tips
		"Missing your favourite news source? Let us know!",
		"Love the app & want to help us shape it? Write to support@taazza.com",
		"Vote for missing features at taazzago.uservoice.com",
		"Want to know more about the app? Ask us at formspring.me/taazzaGO",
		"Your support means a lot to us. Please rate/comment on the Android Market!"
		];

	Tip.random = function() {
		return Tip.tips[Math.floor(Math.random() * Tip.tips.length)];
	};
}

